Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.autoscaling.model
Class TerminateInstanceInAutoScalingGroupResult

    java.lang.Object
      com.amazonaws.services.autoscaling.model.TerminateInstanceInAutoScalingGroupResult

    public class TerminateInstanceInAutoScalingGroupResult

extends Object

Constructor Summary
`TerminateInstanceInAutoScalingGroupResult()`

Method Summary
`Activity` | `getActivity()`
`void` | `setActivity(Activity activity)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`TerminateInstanceInAutoScalingGroupResult` | `withActivity(Activity activity)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TerminateInstanceInAutoScalingGroupResult

    public TerminateInstanceInAutoScalingGroupResult()

Method Detail

### getActivity

    public Activity getActivity()

  Returns:

### setActivity

    public void setActivity(Activity activity)

  Parameters:
    `activity` -

### withActivity

    public TerminateInstanceInAutoScalingGroupResult withActivity(Activity activity)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `activity` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.